| Irrlicht 3D Engine |

Public Member Functions
irr::scene::SMD3QuaternionTagList Struct Reference

holds a associative list of named quaternions More...

`#include <IAnimatedMeshMD3.h>`

List of all members.

## Public Member Functions

- SMD3QuaternionTagList ()
- SMD3QuaternionTagList (const SMD3QuaternionTagList &copyMe)
- virtual ~SMD3QuaternionTagList ()
- SMD3QuaternionTag * get (const core::stringc &name)
- SMD3QuaternionTagList & operator= (const SMD3QuaternionTagList &copyMe)
- const SMD3QuaternionTag & operator[] (u32 index) const
- SMD3QuaternionTag & operator[] (u32 index)
- void push_back (const SMD3QuaternionTag &other)
- void set_used (u32 new_size)
- u32 size () const

## Detailed Description

holds a associative list of named quaternions

Definition at line 198 of file IAnimatedMeshMD3.h.

## Constructor & Destructor Documentation

irr::scene::SMD3QuaternionTagList::SMD3QuaternionTagList | ( |  | ) | `[inline]`

Definition at line 200 of file IAnimatedMeshMD3.h.

References irr::core::ALLOC_STRATEGY_SAFE, and irr::core::array< T, TAlloc >::setAllocStrategy().

irr::scene::SMD3QuaternionTagList::SMD3QuaternionTagList | ( | const SMD3QuaternionTagList & | copyMe | ) | `[inline]`

Definition at line 206 of file IAnimatedMeshMD3.h.

virtual irr::scene::SMD3QuaternionTagList::~SMD3QuaternionTagList | ( |  | ) | `[inline, virtual]`

Definition at line 211 of file IAnimatedMeshMD3.h.

## Member Function Documentation

SMD3QuaternionTag* irr::scene::SMD3QuaternionTagList::get | ( | const core::stringc & | name | ) | `[inline]`

Definition at line 213 of file IAnimatedMeshMD3.h.

References irr::core::array< T, TAlloc >::linear_search().

SMD3QuaternionTagList& irr::scene::SMD3QuaternionTagList::operator= | ( | const SMD3QuaternionTagList & | copyMe | ) | `[inline]`

Definition at line 253 of file IAnimatedMeshMD3.h.

const SMD3QuaternionTag& irr::scene::SMD3QuaternionTagList::operator[] | ( | u32 | index | ) | const`[inline]`

Definition at line 238 of file IAnimatedMeshMD3.h.

SMD3QuaternionTag& irr::scene::SMD3QuaternionTagList::operator[] | ( | u32 | index | ) | `[inline]`

Definition at line 243 of file IAnimatedMeshMD3.h.

void irr::scene::SMD3QuaternionTagList::push_back | ( | const SMD3QuaternionTag & | other | ) | `[inline]`

Definition at line 248 of file IAnimatedMeshMD3.h.

References irr::core::array< T, TAlloc >::push_back().

void irr::scene::SMD3QuaternionTagList::set_used | ( | u32 | new_size | ) | `[inline]`

Definition at line 227 of file IAnimatedMeshMD3.h.

References irr::core::array< T, TAlloc >::allocated_size(), and irr::core::array< T, TAlloc >::push_back().

u32 irr::scene::SMD3QuaternionTagList::size | ( |  | ) | const`[inline]`

Definition at line 222 of file IAnimatedMeshMD3.h.

References irr::core::array< T, TAlloc >::size().

The documentation for this struct was generated from the following file:

- IAnimatedMeshMD3.h